LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Server
User Name
Password
Linux - Server This forum is for the discussion of Linux Software used in a server related context.

Notices



Reply
 
Search this Thread
Old 08-05-2007, 06:24 PM   #1
70mas
Member
 
Registered: Sep 2006
Location: Slovakia
Distribution: Debian, Gentoo
Posts: 34

Rep: Reputation: 15
Gentoo not installing pecl-pdo


Hello
When I try to emerge php with pdo use flag, it gives me the following block:
Code:
websrv02 apache2-php5 # emerge --pretend --verbose php

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] dev-lang/php-5.2.3-r3  USE="apache2 bcmath berkdb bzip2 calendar cgi cli crypt curl debug discard-path exif force-cgi-redirect ftp gd gdbm gmp hash iconv imap inifile json ldap ldap-sasl mhash mysql mysqli ncurses nls pcntl pcre pdo* pdo-external pic posix postgres readline reflection session sharedmem simplexml snmp soap sockets spell spl sqlite ssl suhosin sysvipc tidy tokenizer truetype unicode wddx xml xmlreader xmlrpc xmlwriter xsl zip zlib -adabas -birdstep -cdb -cjk -concurrentmodphp -ctype -curlwrappers -db2 -dbase -dbmaker -doc -empress -empress-bcs -esoob -fastbuild -fdftk -filter -firebird -flatfile -frontbase -gd-external -interbase -iodbc -ipv6 -java-external -kerberos -libedit -mcve -msql -mssql -oci8 -oci8-instant-client -odbc -qdbm -recode -sapdb -sharedext -solid -sybase -sybase-ct -threads -xpm -yaz -zip-external" 0 kB
[blocks B     ] dev-php5/pecl-pdo (is blocking dev-lang/php-5.2.3-r3)

Total: 1 package (1 reinstall, 1 block), Size of downloads: 0 kB
If I understand correctly, PDO is blocked by php. What would be pdo for if not for PHP? It is a nonsense, isn't it?

Please help me how to fix it... Thanx
 
Old 08-05-2007, 11:20 PM   #2
rocket357
Member
 
Registered: Mar 2007
Location: 127.0.0.1
Distribution: OpenBSD-CURRENT
Posts: 476
Blog Entries: 120

Rep: Reputation: 74
http://www.php.net/pdo

To summarize:

Quote:
Originally Posted by php.net
PDO ships with PHP 5.1, and is available as a PECL extension for PHP 5.0;
Apparently this functionality is built into PHP 5.1+, so there's no need to use the PECL-PDO package with them.

Edit - I just tested it. PHP 5.2.3 does not break if you have USE=pdo or USE=pdo-external, but USE="pdo pdo-external" causes the block. Remove one of those use flags and try again.

Last edited by rocket357; 08-05-2007 at 11:31 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
PECL install PDFLIB fails Fedora core 5 x86_64 dabsurv Linux - Software 2 02-15-2008 04:11 PM
php pear/pecl zip extension slackamp Slackware 1 06-11-2007 09:55 PM
installing gentoo from another os magillig Linux - Newbie 1 12-02-2005 11:45 AM
How do I start installing stage 3 of gentoo from universal gentoo 2005-1? kazuya1977 Linux - General 1 11-11-2005 11:30 AM
PHP and PECL ID3 Ed_Bastard Linux - Software 0 10-26-2005 05:01 PM


All times are GMT -5. The time now is 03:56 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration